<template>
  <div>
    <tableLayout :layout="tablecols" :data="list" :opwidth="200" :custom="true" :height="tableHieght">
      <template v-slot:customcol="scope">
        <div v-if="scope.column.columnname === 'brandLoge'">
          <img width="70" height="70" style="margin-top:10px;border-radius:4px" :src="scope.column.data.attinfos[0]?scope.column.data.attinfos[0].url:''" alt="">
        </div>
        <p v-else>{{scope.column.data[scope.column.columnname]}}</p>
      </template>
      <template v-slot:opreation="scope">
        <slot name="edit" :data="scope.data"></slot>
        <slot name="del" :data="scope.data"></slot>
      </template>
    </tableLayout>
    <div style="margin-top:16px;text-align:right">
      <el-pagination
          background
          small
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage"
          :page-size="params.content.pageSize"
          layout="total, prev, pager, next, jumper"
          :total="total">
      </el-pagination>
    </div>
  </div>

</template>

<script>
export default {
name: "list",
  data(){
    return {
      tablecols:[],
      list:[],
      total:0,
      currentPage:0,
      params:{
        "id": "20220922085103",
        "version":1,
        "content": {
          pageSize:10,
          pageNumber:1,
          "where":{
            "condition":""
          }
        }
      }

    }
  },
  mounted() {
    this.listData()
  },
  methods:{
    async listData(){
      const res=await this.$api.requested(this.params)
      this.list = res.data
      this.total = res.total
      this.currentPage = res.pageNumber
    },
    handleSizeChange(val) {
      // console.log(`每页 ${val} 条`);
      this.params.content.pageSize = val
      this.listData()
    },
    handleCurrentChange(val) {
      // console.log(`当前页: ${val}`);
      this.params.content.pageNumber = val
      this.listData()
    },
  },
  created() {
    this.tablecols = this.tool.tabelCol(this.$route.name).brandTable.tablecols
  }
}
</script>

<style scoped>

</style>